## org.apache.commons.collections.bidimap
Class DualTreeBidiMap.ViewMap

    java.lang.Object
      org.apache.commons.collections.map.AbstractMapDecorator
          org.apache.commons.collections.map.AbstractSortedMapDecorator
              org.apache.commons.collections.bidimap.DualTreeBidiMap.ViewMap

All Implemented Interfaces:
  Map, SortedMap

Enclosing class:
  DualTreeBidiMap

protected static class DualTreeBidiMap.ViewMap
extends AbstractSortedMapDecorator

Internal sorted map view.

Nested Class Summary

Nested classes inherited from class java.util.Map
`Map.Entry`

Field Summary

Fields inherited from class org.apache.commons.collections.map.AbstractMapDecorator
`map`

Constructor Summary
`protected` `DualTreeBidiMap.ViewMap(DualTreeBidiMap bidi, SortedMap sm)` Constructor.

Method Summary
`void` `clear()`
`boolean` `containsValue(Object value)`
`SortedMap` `headMap(Object toKey)`
`SortedMap` `subMap(Object fromKey, Object toKey)`
`SortedMap` `tailMap(Object fromKey)`

Methods inherited from class org.apache.commons.collections.map.AbstractSortedMapDecorator
`comparator, firstKey, getSortedMap, lastKey`

Methods inherited from class org.apache.commons.collections.map.AbstractMapDecorator
`containsKey, entrySet, equals, get, getMap, hashCode, isEmpty, keySet, put, putAll, remove, size, toString, values`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`containsKey, entrySet, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

Constructor Detail

### DualTreeBidiMap.ViewMap

    protected DualTreeBidiMap.ViewMap(DualTreeBidiMap bidi,
                                      SortedMap sm)

  Constructor.

Parameters:
  `bidi` - the parent bidi map
  `sm` - the subMap sorted map

Method Detail

### containsValue

    public boolean containsValue(Object value)

  Specified by:
    `containsValue` in interface `Map`
  Overrides:
    `containsValue` in class `AbstractMapDecorator`

### clear

    public void clear()

  Specified by:
    `clear` in interface `Map`
  Overrides:
    `clear` in class `AbstractMapDecorator`

### headMap

    public SortedMap headMap(Object toKey)

  Specified by:
    `headMap` in interface `SortedMap`
  Overrides:
    `headMap` in class `AbstractSortedMapDecorator`

### tailMap

    public SortedMap tailMap(Object fromKey)

  Specified by:
    `tailMap` in interface `SortedMap`
  Overrides:
    `tailMap` in class `AbstractSortedMapDecorator`

### subMap

    public SortedMap subMap(Object fromKey,
                            Object toKey)

  Specified by:
    `subMap` in interface `SortedMap`
  Overrides:
    `subMap` in class `AbstractSortedMapDecorator`

Copyright © 2001-2005 Apache Software Foundation. All Rights Reserved.